Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.print
Class PrinterAbortException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.awt.print.PrinterException
                        |
                        +--java.awt.print.PrinterAbortException

All Implemented Interfaces:
  Serializable

public class PrinterAbortException
extends PrinterException

The `PrinterAbortException` class is a subclass of `PrinterException` and is used to indicate that a user or application has terminated the print job while it was in the process of printing.

See Also:
  Serialized Form

Constructor Summary
`PrinterAbortException()` Constructs a new `PrinterAbortException` with no detail message.
`PrinterAbortException(String msg)` Constructs a new `PrinterAbortException` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrinterAbortException

    public PrinterAbortException()

  Constructs a new `PrinterAbortException` with no detail message.

### PrinterAbortException

    public PrinterAbortException(String msg)

  Constructs a new `PrinterAbortException` with the specified detail message.

Parameters:
  `msg` - the message to be generated when a `PrinterAbortException` is thrown

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.